MockFormBean (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.mock
Class MockFormBean

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.mock.MockFormBean

All Implemented Interfaces:
  Serializable

    public class MockFormBean

extends ActionForm

General purpose form bean for unit tests.

Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:45:39 -0400 (Sat, 07 May 2005) $
See Also:
  Serialized Form

Field Summary
`protected boolean` | `booleanProperty`
`protected String` | `stringProperty`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MockFormBean()`
`MockFormBean(boolean throwException)`
`MockFormBean(boolean throwException, boolean returnNulls)`
`MockFormBean(boolean throwException, boolean returnNulls, Double defaultDouble)`
`MockFormBean(boolean throwException, boolean returnNulls, String defaultValue)`
`MockFormBean(boolean throwException, boolean returnNulls, String defaultValue, int arrayCount)`
`MockFormBean(String stringProperty)`

Method Summary
`boolean` | `getBooleanProperty()`
`Double` | `getDoubleValue()`
`String` | `getJustThrowAnException()`
`Map` | `getMapProperty()`
`Map` | `getMapPropertyArrayValues()`
`String[]` | `getStringArray()`
`String` | `getStringProperty()`
`String` | `getStringValue()`
`Object` | `getThrowIllegalAccessException()`
`void` | `setBooleanProperty(boolean booleanProperty)`
`void` | `setStringProperty(String stringProperty)`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, reset, setMultipartRequestHandler, setServlet, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### booleanProperty

    protected boolean booleanProperty

### stringProperty

    protected String stringProperty

Constructor Detail

### MockFormBean

    public MockFormBean()

### MockFormBean

    public MockFormBean(boolean throwException,
                        boolean returnNulls)

### MockFormBean

    public MockFormBean(boolean throwException)

### MockFormBean

    public MockFormBean(boolean throwException,
                        boolean returnNulls,
                        String defaultValue)

### MockFormBean

    public MockFormBean(String stringProperty)

### MockFormBean

    public MockFormBean(boolean throwException,
                        boolean returnNulls,
                        String defaultValue,
                        int arrayCount)

### MockFormBean

    public MockFormBean(boolean throwException,
                        boolean returnNulls,
                        Double defaultDouble)

Method Detail

### getJustThrowAnException

    public String getJustThrowAnException()
                                   throws Exception

  Throws:
    `Exception`

### getThrowIllegalAccessException

    public Object getThrowIllegalAccessException()
                                          throws Exception

  Throws:
    `Exception`

### getStringValue

    public String getStringValue()
                          throws Exception

  Throws:
    `Exception`

### getStringArray

    public String[] getStringArray()
                            throws Exception

  Throws:
    `Exception`

### getDoubleValue

    public Double getDoubleValue()
                          throws Exception

  Throws:
    `Exception`

### getBooleanProperty

    public boolean getBooleanProperty()

### setBooleanProperty

    public void setBooleanProperty(boolean booleanProperty)

### getMapProperty

    public Map getMapProperty()

### getMapPropertyArrayValues

    public Map getMapPropertyArrayValues()

### getStringProperty

    public String getStringProperty()

### setStringProperty

    public void setStringProperty(String stringProperty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.